/******************** (C) COPYRIGHT 2006 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Date First Issued  : 06/12/2006 : V1.0  Beta
* Description        : Mass Storage demo main file
********************************************************************************
* History:
* 06/12/2006 : V1.0  Beta
********************************************************************************
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include "usb_lib.h"
#include "hw_config.h"
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Extern function prototypes ------------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/*
 * Quick hack, the EIC_Init function (eic.c) is not
 * working here, T0TIMI_Addr is only used to prevent
 * the compilation error.
 */
unsigned long T0TIMI_Addr = 0;

/*
 * This function is used to setup 
 * the interrupt handlers which was
 * done by the original source in assembler.
 */
#define USBHP_IRQChannel  6
#define USBLP_IRQChannel  26

extern void USBLP_IRQHandler(void);
extern void USBHP_IRQHandler(void);

static void SetupInterrupts (void)
{
  ctl_set_isr(USBLP_IRQChannel, 0, 0, USBLP_IRQHandler, 0);
  ctl_set_isr(USBHP_IRQChannel, 0, 0, USBHP_IRQHandler, 0);

  libarm_enable_irq();
}

int main(void)
{
  SetupInterrupts();

  #ifdef DEBUG
  debug();
  #endif
  Set_System(); /* Set system clocks */
  Set_USBClock();
  Led_Config(); /* Leds configuration*/
  Led_Power_ON(); /* switch on the power led*/
  Led_RW_OFF(); /* Switch off the RW led*/
  USB_Interrupts_Config();  /*configure and enable the USB interrupt*/
  USB_Init(); /* Initialize the USB micro cell */
  /* Main loop */
	while(1);
}
/******************* (C) COPYRIGHT 2006 STMicroelectronics *****END OF FILE****/
